# Interface Gauge

public interface Gauge
A Gauge is an application provided object which will be called by the framework in order to sample the value of an integer value.

## Method Summary

Modifier and Type
Method
Description
`Number`
`get()`
Returns the current value associated with this gauge.

## Method Details

### get

Number get()
Returns the current value associated with this gauge. The MetricsProvider will call this callback without taking care of synchronization, it is up to the application to handle thread safety.

Returns:
  the current value for the gauge